aagc.vo

## Class DatiIscrizioneUSL

- java.lang.Object
- - aagc.vo.DatiIscrizioneUSL

-     public class DatiIscrizioneUSL
      extends java.lang.Object

  Dati relativi all'iscrizione dell'assistito ad una ASL della regione Puglia alla data di riferimento.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codMotivoFineIscrizione` Codice dell'eventuale motivo di fine iscrizione, elemento facoltativo.
    `(package private) java.lang.String` | `codMotivoIscrizione` Codice del motivo dell'iscrizione, elemento facoltativo.
    `(package private) java.lang.String` | `codNazionaleUSL` Codice nazionale della ASL a cui l'assisto risulta iscritto, elemento facoltativo.
    `(package private) java.lang.String` | `dataFineIscrizione` Eventuale data di fine iscrizione dell'assistito alla ASL, elemento facoltativo.
    `(package private) java.lang.String` | `dataInizioIscrizione` Data di inizio iscrizione dell'assistito alla ASL, elemento facoltativo.
    `(package private) java.lang.String` | `denominazioneUSL` Denominazione della ASL in cui l'assistito risulta iscritto, elemento facoltativo.
    `(package private) java.lang.String` | `descMotivoFineIscrizione` Decodifica dell'eventuale motivo di fine iscrizione, elemento facoltativo.
    `(package private) java.lang.String` | `descMotivoIscrizione` Decodifica del motivo di iscrizione, elemento facoltativo.
    `(package private) java.lang.String` | `flagIscrizioneTemporanea` Flag che se impostato a 'true' indica che l'assistito ha una iscrizione temporanea, elemento facoltativo.
    `(package private) java.lang.String` | `siglaUSL` Sigla della ASL in cui l'assistito risulta iscritto, elemento facoltativo.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatiIscrizioneUSL()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodMotivoFineIscrizione()`
    `java.lang.String` | `getCodMotivoIscrizione()`
    `java.lang.String` | `getCodNazionaleUSL()`
    `java.lang.String` | `getDataFineIscrizione()`
    `java.lang.String` | `getDataInizioIscrizione()`
    `java.lang.String` | `getDenominazioneUSL()`
    `java.lang.String` | `getDescMotivoFineIscrizione()`
    `java.lang.String` | `getDescMotivoIscrizione()`
    `java.lang.String` | `getFlagIscrizioneTemporanea()`
    `java.lang.String` | `getSiglaUSL()`
    `void` | `setCodMotivoFineIscrizione(java.lang.String codMotivoFineIscrizione)`
    `void` | `setCodMotivoIscrizione(java.lang.String codMotivoIscrizione)`
    `void` | `setCodNazionaleUSL(java.lang.String codNazionaleUSL)`
    `void` | `setDataFineIscrizione(java.lang.String dataFineIscrizione)`
    `void` | `setDataInizioIscrizione(java.lang.String dataInizioIscrizione)`
    `void` | `setDenominazioneUSL(java.lang.String denominazioneUSL)`
    `void` | `setDescMotivoFineIscrizione(java.lang.String descMotivoFineIscrizione)`
    `void` | `setDescMotivoIscrizione(java.lang.String descMotivoIscrizione)`
    `void` | `setFlagIscrizioneTemporanea(java.lang.String flagIscrizioneTemporanea)`
    `void` | `setSiglaUSL(java.lang.String siglaUSL)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codMotivoFineIscrizione

          java.lang.String codMotivoFineIscrizione

      Codice dell'eventuale motivo di fine iscrizione, elemento facoltativo.

    - #### codMotivoIscrizione

          java.lang.String codMotivoIscrizione

      Codice del motivo dell'iscrizione, elemento facoltativo.

    - #### codNazionaleUSL

          java.lang.String codNazionaleUSL

      Codice nazionale della ASL a cui l'assisto risulta iscritto, elemento facoltativo.

    - #### dataFineIscrizione

          java.lang.String dataFineIscrizione

      Eventuale data di fine iscrizione dell'assistito alla ASL, elemento facoltativo.

    - #### dataInizioIscrizione

          java.lang.String dataInizioIscrizione

      Data di inizio iscrizione dell'assistito alla ASL, elemento facoltativo.

    - #### denominazioneUSL

          java.lang.String denominazioneUSL

      Denominazione della ASL in cui l'assistito risulta iscritto, elemento facoltativo.

    - #### descMotivoFineIscrizione

          java.lang.String descMotivoFineIscrizione

      Decodifica dell'eventuale motivo di fine iscrizione, elemento facoltativo.

    - #### descMotivoIscrizione

          java.lang.String descMotivoIscrizione

      Decodifica del motivo di iscrizione, elemento facoltativo.

    - #### flagIscrizioneTemporanea

          java.lang.String flagIscrizioneTemporanea

      Flag che se impostato a 'true' indica che l'assistito ha una iscrizione temporanea, elemento facoltativo.

    - #### siglaUSL

          java.lang.String siglaUSL

      Sigla della ASL in cui l'assistito risulta iscritto, elemento facoltativo.

  - ### Constructor Detail

    - #### DatiIscrizioneUSL

          public DatiIscrizioneUSL()

  - ### Method Detail

    - #### getCodMotivoFineIscrizione

          public java.lang.String getCodMotivoFineIscrizione()

    - #### setCodMotivoFineIscrizione

          public void setCodMotivoFineIscrizione(java.lang.String codMotivoFineIscrizione)

    - #### getCodMotivoIscrizione

          public java.lang.String getCodMotivoIscrizione()

    - #### setCodMotivoIscrizione

          public void setCodMotivoIscrizione(java.lang.String codMotivoIscrizione)

    - #### getCodNazionaleUSL

          public java.lang.String getCodNazionaleUSL()

    - #### setCodNazionaleUSL

          public void setCodNazionaleUSL(java.lang.String codNazionaleUSL)

    - #### getDataFineIscrizione

          public java.lang.String getDataFineIscrizione()

    - #### setDataFineIscrizione

          public void setDataFineIscrizione(java.lang.String dataFineIscrizione)

    - #### getDataInizioIscrizione

          public java.lang.String getDataInizioIscrizione()

    - #### setDataInizioIscrizione

          public void setDataInizioIscrizione(java.lang.String dataInizioIscrizione)

    - #### getDenominazioneUSL

          public java.lang.String getDenominazioneUSL()

    - #### setDenominazioneUSL

          public void setDenominazioneUSL(java.lang.String denominazioneUSL)

    - #### getDescMotivoFineIscrizione

          public java.lang.String getDescMotivoFineIscrizione()

    - #### setDescMotivoFineIscrizione

          public void setDescMotivoFineIscrizione(java.lang.String descMotivoFineIscrizione)

    - #### getDescMotivoIscrizione

          public java.lang.String getDescMotivoIscrizione()

    - #### setDescMotivoIscrizione

          public void setDescMotivoIscrizione(java.lang.String descMotivoIscrizione)

    - #### getFlagIscrizioneTemporanea

          public java.lang.String getFlagIscrizioneTemporanea()

    - #### setFlagIscrizioneTemporanea

          public void setFlagIscrizioneTemporanea(java.lang.String flagIscrizioneTemporanea)

    - #### getSiglaUSL

          public java.lang.String getSiglaUSL()

    - #### setSiglaUSL

          public void setSiglaUSL(java.lang.String siglaUSL)